Get metrics for market reserves
curl --request GET \
--url https://api.kamino.finance/kamino-market/{pubkey}/reserves/metricsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/kamino-market/{pubkey}/reserves/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kamino-market/{pubkey}/reserves/metrics"
response = requests.get(url)
print(response.text)false[
{
"reserve": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"liquidityToken": "SOL",
"liquidityTokenMint": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"maxLtv": "0.65",
"borrowApy": "0.05450988511483601",
"supplyApy": "0.038266801210808055",
"totalSupply": "1234.56789",
"totalBorrow": "1234.56789",
"totalBorrowUsd": "1234.56789",
"totalSupplyUsd": "1234.56789"
}
]{
"metadata": "Account could not be found"
}{
"error": "An internal error occurred"
}Market Data
Get metrics for market reserves
Get current metrics for all reserves in a Kamino Lending market, including APY, TVL, borrow/supply amounts, and LTV ratios.
GET
/
kamino-market
/
{pubkey}
/
reserves
/
metrics
Get metrics for market reserves
curl --request GET \
--url https://api.kamino.finance/kamino-market/{pubkey}/reserves/metricsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/kamino-market/{pubkey}/reserves/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kamino-market/{pubkey}/reserves/metrics"
response = requests.get(url)
print(response.text)false[
{
"reserve": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"liquidityToken": "SOL",
"liquidityTokenMint": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"maxLtv": "0.65",
"borrowApy": "0.05450988511483601",
"supplyApy": "0.038266801210808055",
"totalSupply": "1234.56789",
"totalBorrow": "1234.56789",
"totalBorrowUsd": "1234.56789",
"totalSupplyUsd": "1234.56789"
}
]{
"metadata": "Account could not be found"
}{
"error": "An internal error occurred"
}Path Parameters
Market public key
Example:
"7u3HeHxYDLhnCoErrtycNokbQYbWGzLs6JSDqGAv5PfF"
Query Parameters
Solana cluster environment
Available options:
mainnet-beta, devnet, localnet Example:
"mainnet-beta"
Response
OK
Reserve public key
Example:
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
Liquidity token symbol
Example:
"SOL"
Liquidity token mint address
Example:
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
Maximum loan-to-value ratio
Example:
"0.65"
Current borrow APY
Example:
"0.05450988511483601"
Current supply APY
Example:
"0.038266801210808055"
Total supply amount
Example:
"1234.56789"
Total borrow amount
Example:
"1234.56789"
Total borrow in USD
Example:
"1234.56789"
Total supply in USD
Example:
"1234.56789"